AiTranslator

Set workspace default AI translator

Sets the workspace's single default AI translator. This value is copied into new tenants/products at creation time; it is NOT a runtime fallback. Pass aiTranslatorId=null to clear the default.

PUT
/api/v2/workspaces/{id}/ai-translator

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Workspace UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/ai-translator" \  -H "Content-Type: application/json" \  -d '{    "aiTranslatorId": "d3cb3f65-5b8b-4620-8480-5165621e1112"  }'
{  "message": "OK"}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}